# $Revision: 1.62 $, $Date: 2009/12/28 13:01:13 $
Summary:	Structure of Management Information library
Summary(pl.UTF-8):	Biblioteka SMI (Struktur zarządzania informacjami)
Summary(ru.UTF-8):	Библиотека для доступа к информации SMI MIB
Summary(uk.UTF-8):	Бібліотека для доступу до інформації SMI MIB
Name:		libsmi
Version:	0.4.8
Release:	2
License:	BSD
Group:		Libraries
Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/%{name}-%{version}.tar.gz
# Source0-md5:	760b6b1070738158708649ed2c63425e
Source1:	%{name}-smi.conf
Patch0:		flat-mibdir.patch
URL:		http://www.ibr.cs.tu-bs.de/projects/libsmi/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Suggests:	mibs-libsmi
Suggests:	pibs-libsmi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsmi is a C library that allows network management applications to
access MIB module information through a well defined API that hides
the nasty details of locating and parsing SMIv1/v2 MIB modules.

Libsmi supports exact and iterative retrieval functions for all major
SMIv1 and SMIv2 constructs (except the AGENT-CAPABILITIES statement).

%description -l pl.UTF-8
libsmi jest biblioteką pozwalającą aplikacjom zarządzania siecią na
dostęp do informacji o modułach MIB poprzez dobrze zdefiniowane API,
ukrywające brzydkie szczegóły szukania i analizy modułów MIB SMIv1/v2.

libsmi obsługuje dokładne i iterujące funkcje odczytujące dla
wszystkich głównych konstrukcji SMIv1 i SMIv2 (poza instrukcją
AGENT-CAPABILITIES).

%description -l ru.UTF-8
Libsmi - это C библиотека, дающая программам управления сетью доступ к
информационным модулям MIB посредством хорошо определенного API,
который прячет неприятные детали поиска и разбора модулей SMIv1/v2
MIB.

%description -l uk.UTF-8
Libsmi - це C бібліотека, що надає програмам управління мережею доступ
до інформаційних модулів MIB через добре визначений API, що приховує
неприємні деталі пошуку та розбору модулів SMIv1/v2 MIB.

%package progs
Summary:	SMI tools
Summary(pl.UTF-8):	Narzędzia SMI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description progs
SMI tools.

%description progs -l pl.UTF-8
Narzędzia SMI.

%package -n mibs-dirs
Summary:	Common directories for MIBs
Group:		Base

%description -n mibs-dirs
Common directories for MIBs (Management Information Base).

%package -n pibs-dirs
Summary:	LibSMI provided PIBs
Group:		Base

%description -n pibs-dirs
Common directories for PIBs (Policy Information Base).

%package -n mibs-libsmi
Summary:	LibSMI provided MIBs
Group:		Base
Requires:	mibs-dirs

%description -n mibs-libsmi
LibSMI provided MIBs (Management Information Base).

%package -n pibs-libsmi
Summary:	LibSMI provided PIBs
Group:		Base
Requires:	pibs-dirs

%description -n pibs-libsmi
LibSMI provided PIBs (Policy Information Base).

%package devel
Summary:	Header files and development documentation for libsmi
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libsmi
Summary(ru.UTF-8):	Хедеры для разработки программ с использованием libsmi
Summary(uk.UTF-8):	Хедери для розробки програм з використанням libsmi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libsmi.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libsmi.

%description devel -l ru.UTF-8
Хедеры для разработки программ с использованием libsmi.

%description devel -l uk.UTF-8
Хедери для розробки програм з використанням libsmi.

%package static
Summary:	Static libsmi libraries
Summary(pl.UTF-8):	Biblioteki statyczne libsmi
Summary(ru.UTF-8):	Статические библиотеки для разработки программ с использованием libsmi
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм з використанням libsmi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsmi libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libsmi.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
libsmi.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням libsmi.

%prep
%setup -q
%patch0 -p1

find '(' -name '*~' -o -name '*.orig' -o -name '*-orig' ')' -print0 | xargs -0 -r -l512 rm -f

# packaged by mibs-net-snmp
while read mib; do
	rm mibs/*/$mib
done <<'EOF'
AGENTX-MIB
DISMAN-EVENT-MIB
DISMAN-SCHEDULE-MIB
DISMAN-SCRIPT-MIB
EtherLike-MIB
HCNUM-TC
HOST-RESOURCES-MIB
HOST-RESOURCES-TYPES
IANA-ADDRESS-FAMILY-NUMBERS-MIB
IANAifType-MIB
IANA-LANGUAGE-MIB
IANA-RTPROTO-MIB
IF-INVERTED-STACK-MIB
IF-MIB
INET-ADDRESS-MIB
IP-FORWARD-MIB
IP-MIB
IPV6-ICMP-MIB
IPV6-MIB
IPV6-TC
IPV6-TCP-MIB
IPV6-UDP-MIB
MTA-MIB
NETWORK-SERVICES-MIB
NOTIFICATION-LOG-MIB
RFC1155-SMI
RFC1213-MIB
RFC-1215
RMON-MIB
SCTP-MIB
SNMP-COMMUNITY-MIB
SNMP-FRAMEWORK-MIB
SNMP-MPD-MIB
SNMP-NOTIFICATION-MIB
SNMP-PROXY-MIB
SNMP-TARGET-MIB
SNMP-USER-BASED-SM-MIB
SNMP-USM-AES-MIB
SNMP-USM-DH-OBJECTS-MIB
SNMPv2-CONF
SNMPv2-MIB
SNMPv2-SMI
SNMPv2-TC
SNMPv2-TM
SNMP-VIEW-BASED-ACM-MIB
TCP-MIB
TRANSPORT-ADDRESS-MIB
UDP-MIB
EOF

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-smi \
	--enable-sming \
	--enable-shared \
	--enable-static \
	--with-mibdir=%{_datadir}/mibs \
	--with-pibdir=%{_datadir}/pibs \
	--with-smipath=%{_datadir}/mibs:%{_datadir}/pibs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/smi.conf

# .index files produced by net-snmp
touch $RPM_BUILD_ROOT%{_datadir}/mibs/.index
touch $RPM_BUILD_ROOT%{_datadir}/pibs/.index

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE COPYING ChangeLog README THANKS TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smi.conf
%attr(755,root,root) %{_libdir}/libsmi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmi.so.2

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smi*
%{_mandir}/man1/smi*.1*

%files -n mibs-dirs
%defattr(644,root,root,755)
%dir %{_datadir}/mibs
%ghost %{_datadir}/mibs/.index

%files -n pibs-dirs
%defattr(644,root,root,755)
%dir %{_datadir}/pibs
%ghost %{_datadir}/pibs/.index

%files -n mibs-libsmi
%defattr(644,root,root,755)
%{_datadir}/mibs/*

%files -n pibs-libsmi
%defattr(644,root,root,755)
%{_datadir}/pibs/*

%files devel
%defattr(644,root,root,755)
%doc doc/draft-irtf-nmrg-smi*.txt
%attr(755,root,root) %{_libdir}/libsmi.so
%{_libdir}/libsmi.la
%{_includedir}/smi.h
%{_aclocaldir}/libsmi.m4
%{_pkgconfigdir}/libsmi.pc
%{_mandir}/man3/libsmi.3*
%{_mandir}/man3/smi_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libsmi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsmi.spec,v $
Revision 1.62  2009/12/28 13:01:13  glen
- release 2

Revision 1.61  2009/12/28 12:35:21  glen
- skip mibs packaged by net-snmp

Revision 1.60  2009/12/28 11:58:52  glen
- simplify by installing mibs/pibs flat

Revision 1.59  2009/12/28 11:06:15  glen
- pibs/mibs to subpackages

Revision 1.58  2008/07/17 18:16:55  qboosh
- updated to 0.4.8

Revision 1.57  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.55  2007/02/01 09:45:14  qboosh
- shortened en desc, enhanced and fixed pl

Revision 1.54  2006/06/05 10:19:55  qboosh
- updated to 0.4.5, removed workaround (missing file appeared)

Revision 1.53  2006/05/22 08:57:11  qboosh
- updated to 0.4.4, removed obsolete sysconfdir,am18 patches

Revision 1.52  2005/05/09 21:42:12  adamg
- release 2 for Th

Revision 1.51  2004/08/25 22:31:05  qboosh
- updated to 0.4.3

Revision 1.50  2003/12/19 11:50:11  qboosh
- added am18 patch (libsmi.m4 quotation fix); release 2

Revision 1.49  2003/12/06 21:02:27  qboosh
- updated to 0.4.2

Revision 1.48  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/03/31 19:46:03  qboosh
- updated to 0.4.1, updated  sysconfdir patch
- moved base doc to base package, added required COPYING file

Revision 1.45  2002/11/25 14:17:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.44  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.43  2002/07/26 16:00:28  kloczek
- merge translation from KSI.

Revision 1.42  2002/06/23 19:04:03  kloczek
- updated to 0.4.0 (bug fixes and improved dumping SMI/PIB modules to XML).

Revision 1.41  2002/05/21 23:13:58  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/04/24 07:52:11  arturs
License field change

Revision 1.39  2002/03/28 22:39:21  kloczek
- release 2,
- fix: added sysconfdir patch which fixes location system libsmi config file
  (now in %%{_sysconfdir}/smi.conf,
- added system smi.conf files,
- move smi tools to progs subpackage.

Revision 1.38  2002/03/27 11:09:10  roman
- License: distributable (see COPYING)

Revision 1.37  2002/03/23 04:37:53  kloczek
- updated to 0.3.1 (bugfixes).

Revision 1.36  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/12/15 22:36:31  kloczek
- updated to 0.3.0 (few fixes in MIB files and few other importand fixes).

Revision 1.32  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.31  2001/09/28 02:56:39  kloczek
- release 2.

Revision 1.30  2001/09/26 12:07:00  qboosh
- BuildRequires: autoconf, automake, libtool; added short pl description

Revision 1.29  2001/08/31 21:16:51  kloczek
- updated to 0.2.17.

Revision 1.28  2001/08/10 11:55:44  kloczek
- release 2.

Revision 1.27  2001/08/09 22:33:19  agaran
ac-25 fixies

Revision 1.26  2001/04/17 23:46:42  kloczek
- updated to 0.2.16.

Revision 1.25  2001/03/21 16:10:39  mis
- updated (by autoup) to 0.2.14

Revision 1.24  2001/01/25 19:55:41  kloczek
- updated to 0.2.13.

Revision 1.23  2000/12/06 21:55:43  kloczek
- updated to 0.2.12.

Revision 1.22  2000/12/04 18:21:14  kloczek
- updated to 0.2.11.

Revision 1.21  2000/11/26 22:40:01  kloczek
- updated to 0.2.10.

Revision 1.20  2000/11/22 08:58:22  kloczek
- updated to 0.2.9.

Revision 1.19  2000/11/16 06:44:14  kloczek
- updated to 0.2.8.

Revision 1.18  2000/11/10 19:51:13  kloczek
- updated to 0.2.7.

Revision 1.17  2000/11/01 02:53:30  kloczek
- updated to 0.2.6.

Revision 1.16  2000/10/18 22:09:20  kloczek
- release2: use new rpm automation.

Revision 1.15  2000/07/19 23:56:55  kloczek
- updated to 0.2.5.

Revision 1.14  2000/06/27 21:09:35  kloczek
- updated to 0.2.3.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/29 23:55:32  kloczek
- updated to 0.2.1,
- spec adapterized.

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/02/15 17:56:16  kloczek
- fixed %doc list.

Revision 1.7  2000/02/15 16:53:43  kloczek
- updated to 0.2.

Revision 1.6  1999/12/16 09:27:00  kloczek
- updated %doc %files list.

Revision 1.5  1999/12/16 08:22:59  kloczek
- update to 0.1.8.

Revision 1.4  1999/10/08 22:35:38  kloczek
- updated to 0.1.7.

Revision 1.3  1999/09/30 18:52:39  kloczek
- added missing %post/%postun with runing /sbin/ldconfig.

Revision 1.2  1999/09/30 18:50:42  kloczek
- removed NEWS from compressed fiels list.

Revision 1.1  1999/09/30 18:45:45  kloczek
- libsmi spec written from scratch.
